Subject: Re: bug#11018: 24.0.94; Edebug: bindings shadowed by view-mode

From: Stefan Monnier <[email-masked]>
Date: Thu, 15 Mar 2012 22:47:31 -0400

> I don't have an elegant solution for this problem.  It is not a problem
> especially with `view-mode'.  All minor mode bindings shadow
> `edebug-mode-map' which is used as local map.

Maybe it should be installed with higher precedence, by virtue of
being transient.

> If there was an `edebug-mode-hook', then the user could deactivate
> interfering minor modes there.

That could be an alternative, but then you'd probably want to re-enable
it when leaving edebug mode, which would enable&disable it very often
and could be difficult to implement efficiently.

        Stefan